Bug 1409791 - WebUI:Tag Visibility - Ansible Tower Job Templates should honor tag visiblity
Summary: WebUI:Tag Visibility - Ansible Tower Job Templates should honor tag visiblity
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Libor Pichler
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard: ui:tag:tower
Depends On:
Blocks: 1460656
TreeView+ depends on / blocked
 
Reported: 2017-01-03 12:13 UTC by Ramesh A
Modified: 2017-06-12 15:05 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1460656 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:32:18 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Ramesh A 2017-01-03 12:13:29 UTC
Description of problem:
Ansible Tower Job Templates should honor tag visibility

Version-Release number of selected component (if applicable):
5.7.0.17.20161219135818_725f92f 

How reproducible:
Very

Steps to Reproduce:
1. Manage an Ansible Provider
2. Create a new role
3. Create a new group based out of the above role.  Assign a tag in "My Company Tags" under "Assign Filters" section
4. Create a user and assign the above role
5. Login as new user and navigate to Configuration ==> Management ==> Ansible Tower Job Templates

Actual results:
Displays all the available Ansible Tower Job Templates

Expected results:
Should honor tag visibility.  Only those Templates which are tagged and matching to the user's group tag should get displayed

Additional info:

Comment 4 Niyaz Akhtar Ansari 2017-03-10 02:43:30 UTC
Verified in version 5.8.0.4

Comment 5 Lynn Dixon 2017-03-28 19:53:51 UTC
I have a customer that is also affected by this.  We can restrict Job Templates based upon a groups tag filters.  They are on 4.1:

cfme-5.6.2.2-1.el7cf.x86_64

Comment 7 errata-xmlrpc 2017-05-31 14:32:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.